package com.huigou.tech.message;

import com.huigou.tech.common.domain.model.Notice;
import com.huigou.uasp.bpm.MessageSendModel;

/**
 * 上科大邮件发送
 * 
 * @author xiexin
 */
public interface TechEmailSender {
    /**
     * 发送保存到线程局部变量中的消息
     */
    public void sendThreadLocalMessages();

    public void sendByNotice(Notice notice, String receiverId);

    public void sendAsTitle(MessageSendModel messageSendmodel, String emailTitle);
}
